"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Editor = Editor;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const EditorInterface_1 = require("./EditorInterface");
const Toolbar_1 = require("./Toolbar");
const Menubar_1 = require("./Menubar");
const useEditorState_1 = require("../store/useEditorState");
require("../styles.css");
function Editor({ initialContent, getTextContent, getJSONContent, getHTMLContent, onSave, onClose, }) {
    const { editor } = (0, useEditorState_1.useEditorStore)();
    (0, react_1.useEffect)(() => {
        if (editor && initialContent) {
            editor.commands.setContent(initialContent);
        }
    }, [editor, initialContent]);
    (0, react_1.useEffect)(() => {
        if (getTextContent) {
            getTextContent((editor === null || editor === void 0 ? void 0 : editor.getText()) || "");
        }
        if (getJSONContent) {
            getJSONContent((editor === null || editor === void 0 ? void 0 : editor.getJSON()) || {});
        }
        if (getHTMLContent) {
            getHTMLContent((editor === null || editor === void 0 ? void 0 : editor.getHTML()) || "");
        }
    }, [editor === null || editor === void 0 ? void 0 : editor.getText(), editor === null || editor === void 0 ? void 0 : editor.getJSON(), editor === null || editor === void 0 ? void 0 : editor.getHTML(), getTextContent]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "min-h-screen bg-[#FAFBFD]", children: [(0, jsx_runtime_1.jsxs)("div", { className: "flex flex-col pt-2 gap-y-2 fixed top-0 left-0 right-0 z-10 bg-[#FAFBFD] print:hidden", children: [(0, jsx_runtime_1.jsx)(Menubar_1.MenuBar, { onSave: onSave, onClose: onClose }), (0, jsx_runtime_1.jsx)(Toolbar_1.Toolbar, { onSave: onSave })] }), (0, jsx_runtime_1.jsx)("div", { className: "pt-[80px] print:pt-0", children: (0, jsx_runtime_1.jsx)(EditorInterface_1.EditorInterface, {}) })] }));
}
Editor.defaultProps = {
    getHTMLContent: () => { },
    getJSONContent: () => { },
    getTextContent: () => { },
    onClose: () => { },
    onSave: () => { },
};
