"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FontSize = FontSize;
const jsx_runtime_1 = require("react/jsx-runtime");
const useEditorState_1 = require("../store/useEditorState");
const react_1 = require("react");
const lu_1 = require("react-icons/lu");
function FontSize() {
    const { editor } = (0, useEditorState_1.useEditorStore)();
    const currentFontSize = (editor === null || editor === void 0 ? void 0 : editor.getAttributes("textStyle").fontSize)
        ? editor === null || editor === void 0 ? void 0 : editor.getAttributes("textStyle").fontSize.replace("px", "")
        : "16";
    const [fontSize, setFontSize] = (0, react_1.useState)(currentFontSize);
    const [inputValue, setInputValue] = (0, react_1.useState)(fontSize);
    const [isEditing, setIsEditing] = (0, react_1.useState)(false);
    function updateFontSize(newSize) {
        const size = parseInt(newSize);
        if (!isNaN(size) && size > 0) {
            setFontSize(newSize);
            setInputValue(newSize);
            setIsEditing(false);
            editor === null || editor === void 0 ? void 0 : editor.chain().focus().setFontSize(`${size}px`).run();
        }
    }
    function handleInputChange(e) {
        setInputValue(e.target.value);
    }
    function handleInputBlur() {
        updateFontSize(inputValue);
    }
    function handleKeyDown(e) {
        if (e.key === "Enter") {
            e.preventDefault();
            updateFontSize(inputValue);
            editor === null || editor === void 0 ? void 0 : editor.commands.focus();
        }
    }
    function increment() {
        const newSize = parseInt(fontSize) + 1;
        updateFontSize(newSize.toString());
    }
    function decrement() {
        const newSize = parseInt(fontSize) - 1;
        if (newSize > 0) {
            updateFontSize(newSize.toString());
        }
    }
    return ((0, jsx_runtime_1.jsxs)("div", { className: "flex items-center gap-x-0.5", children: [(0, jsx_runtime_1.jsx)("button", { className: "h-7 w-7 shrink-0 flex flex-col items-center justify-center rounded-sm hover:bg-neutral-200/80", onClick: decrement, children: (0, jsx_runtime_1.jsx)(lu_1.LuMinus, { size: 16 }) }), isEditing ? ((0, jsx_runtime_1.jsx)("input", { value: inputValue, className: "h-7 w-10 text-sm text-center border border-neutral-400 rounded-sm bg-transparent focus:outline-none focus:ring-0", onChange: handleInputChange, onBlur: handleInputBlur, onKeyDown: handleKeyDown })) : ((0, jsx_runtime_1.jsx)("button", { className: "h-7 w-10 text-sm text-center border border-neutral-400 rounded-sm bg-transparent cursor-text", onClick: () => {
                    setIsEditing(true);
                    setFontSize(currentFontSize);
                }, children: currentFontSize })), (0, jsx_runtime_1.jsx)("button", { className: "h-7 w-7 shrink-0 flex flex-col items-center justify-center rounded-sm hover:bg-neutral-200/80", onClick: increment, children: (0, jsx_runtime_1.jsx)(lu_1.LuPlus, { size: 16 }) })] }));
}
