"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heading = Heading;
const jsx_runtime_1 = require("react/jsx-runtime");
const dropdown_menu_1 = require("./ui/dropdown-menu");
const useEditorState_1 = require("../store/useEditorState");
const lu_1 = require("react-icons/lu");
const constants_1 = require("../lib/constants");
const utils_1 = require("../lib/utils");
function Heading() {
    const { editor } = (0, useEditorState_1.useEditorStore)();
    function getCurrentHeading() {
        for (let level = 1; level <= 5; level++) {
            if (editor === null || editor === void 0 ? void 0 : editor.isActive("heading", { level })) {
                return `Heading ${level}`;
            }
        }
        return "Normal";
    }
    return ((0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenu, { children: [(0, jsx_runtime_1.jsx)(dropdown_menu_1.DropdownMenuTrigger, { asChild: true, children: (0, jsx_runtime_1.jsxs)("button", { className: "h-7 w-[100px] shrink-0 flex items-center justify-between gap-2 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: [(0, jsx_runtime_1.jsx)("span", { className: "truncate", children: getCurrentHeading() }), (0, jsx_runtime_1.jsx)(lu_1.LuChevronDown, { size: 16 })] }) }), (0, jsx_runtime_1.jsx)(dropdown_menu_1.DropdownMenuContent, { className: "p-1 flex flex-col gap-y-1", children: constants_1.headings.map(({ label, value, fontSize }) => {
                    return ((0, jsx_runtime_1.jsx)("button", { onClick: () => {
                            if (value === 0) {
                                editor === null || editor === void 0 ? void 0 : editor.chain().focus().setParagraph().run();
                            }
                            else {
                                editor === null || editor === void 0 ? void 0 : editor.chain().focus().toggleHeading({ level: value }).run();
                            }
                        }, className: (0, utils_1.cn)("flex items-center gap-x-2 px-2 py-1 rounded-sm hover:bg-neutral-200/80", (value === 0 && !(editor === null || editor === void 0 ? void 0 : editor.isActive("heading"))) ||
                            ((editor === null || editor === void 0 ? void 0 : editor.isActive("heading", { level: value })) &&
                                "bg-neutral-200/80")), style: { fontSize }, children: label }, value));
                }) })] }));
}
