"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = Image;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const useEditorState_1 = require("../store/useEditorState");
const dropdown_menu_1 = require("./ui/dropdown-menu");
const dialog_1 = require("./ui/dialog");
const lu_1 = require("react-icons/lu");
const input_1 = require("./ui/input");
const button_1 = require("./ui/button");
function Image() {
    const { editor } = (0, useEditorState_1.useEditorStore)();
    const [imageURL, setImageURL] = (0, react_1.useState)("");
    const [isDialogOpen, setIsDialogOpen] = (0, react_1.useState)(false);
    function onChange(src) {
        editor === null || editor === void 0 ? void 0 : editor.chain().focus().setImage({ src }).run();
    }
    function onUpload() {
        const input = document.createElement("input");
        input.type = "file";
        input.accept = "image/*";
        input.onchange = (e) => {
            var _a;
            const file = (_a = e.target.files) === null || _a === void 0 ? void 0 : _a[0];
            if (file) {
                const imageUrl = URL.createObjectURL(file);
                onChange(imageUrl);
            }
        };
        input.click();
    }
    function handleImageURL() {
        if (imageURL) {
            onChange(imageURL);
            setImageURL("");
            setIsDialogOpen(false);
        }
    }
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenu, { children: [(0, jsx_runtime_1.jsx)(dropdown_menu_1.DropdownMenuTrigger, { asChild: true, children: (0, jsx_runtime_1.jsx)("button", { title: "Add Image", className: "h-7 min-w-7 shrink-0 flex flex-col items-center justify-center gap-0 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: (0, jsx_runtime_1.jsx)(lu_1.LuImage, { size: 16 }) }) }), (0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenuContent, { children: [(0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenuItem, { onClick: onUpload, children: [(0, jsx_runtime_1.jsx)(lu_1.LuUpload, { size: 16 }), " Upload"] }), (0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenuItem, { onClick: () => setIsDialogOpen(true), children: [(0, jsx_runtime_1.jsx)(lu_1.LuFileInput, { size: 16 }), " Image URL"] })] })] }), (0, jsx_runtime_1.jsx)(dialog_1.Dialog, { open: isDialogOpen, onOpenChange: setIsDialogOpen, children: (0, jsx_runtime_1.jsxs)(dialog_1.DialogContent, { children: [(0, jsx_runtime_1.jsx)(dialog_1.DialogHeader, { children: (0, jsx_runtime_1.jsx)(dialog_1.DialogTitle, { children: "Image URL" }) }), (0, jsx_runtime_1.jsx)(input_1.Input, { placeholder: "Insert url", value: imageURL, onChange: (e) => setImageURL(e.target.value), onKeyDown: (e) => {
                                if (e.key === "Enter") {
                                    handleImageURL();
                                }
                            } }), (0, jsx_runtime_1.jsx)(dialog_1.DialogFooter, { children: (0, jsx_runtime_1.jsx)(button_1.Button, { onClick: handleImageURL, children: "Insert" }) })] }) })] }));
}
