"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = Link;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const useEditorState_1 = require("../store/useEditorState");
const dropdown_menu_1 = require("./ui/dropdown-menu");
const lu_1 = require("react-icons/lu");
const input_1 = require("./ui/input");
const button_1 = require("./ui/button");
function Link() {
    const { editor } = (0, useEditorState_1.useEditorStore)();
    const [current, setCurrent] = (0, react_1.useState)((editor === null || editor === void 0 ? void 0 : editor.getAttributes("link").href) || "");
    function onChange(href) {
        editor === null || editor === void 0 ? void 0 : editor.chain().focus().extendMarkRange("link").setLink({ href }).run();
        setCurrent("");
    }
    return ((0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenu, { onOpenChange: (open) => {
            if (open) {
                setCurrent((editor === null || editor === void 0 ? void 0 : editor.getAttributes("link").href) || "");
            }
        }, children: [(0, jsx_runtime_1.jsx)(dropdown_menu_1.DropdownMenuTrigger, { asChild: true, children: (0, jsx_runtime_1.jsx)("button", { title: "Add Link", className: "h-7 min-w-7 shrink-0 flex flex-col items-center justify-center gap-0 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: (0, jsx_runtime_1.jsx)(lu_1.LuLink2, { size: 16 }) }) }), (0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenuContent, { className: "p-2.5 flex items-center gap-x-2", children: [(0, jsx_runtime_1.jsx)(input_1.Input, { placeholder: "https://www.example.com", value: current, onChange: (e) => setCurrent(e.target.value) }), (0, jsx_runtime_1.jsx)(button_1.Button, { onClick: () => onChange(current), size: "icon", children: (0, jsx_runtime_1.jsx)(lu_1.LuCheck, {}) })] })] }));
}
