"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
exports.List = List;
const jsx_runtime_1 = require("react/jsx-runtime");
const dropdown_menu_1 = require("./ui/dropdown-menu");
const useEditorState_1 = require("../store/useEditorState");
const lu_1 = require("react-icons/lu");
const utils_1 = require("../lib/utils");
function List() {
    const { editor } = (0, useEditorState_1.useEditorStore)();
    const lists = [
        {
            label: "Bullet List",
            icon: lu_1.LuList,
            isActive: () => editor === null || editor === void 0 ? void 0 : editor.isActive("bulletList"),
            onClick: () => editor === null || editor === void 0 ? void 0 : editor.chain().focus().toggleBulletList().run(),
        },
        {
            label: "Ordered List",
            icon: lu_1.LuListOrdered,
            isActive: () => editor === null || editor === void 0 ? void 0 : editor.isActive("orderedList"),
            onClick: () => editor === null || editor === void 0 ? void 0 : editor.chain().focus().toggleOrderedList().run(),
        },
    ];
    return ((0, jsx_runtime_1.jsxs)(dropdown_menu_1.DropdownMenu, { children: [(0, jsx_runtime_1.jsx)(dropdown_menu_1.DropdownMenuTrigger, { asChild: true, children: (0, jsx_runtime_1.jsx)("button", { title: "List", className: "h-7 min-w-7 shrink-0 flex flex-col items-center justify-center gap-0 rounded-sm hover:bg-neutral-200/80 px-1.5 overflow-hidden text-sm", children: (0, jsx_runtime_1.jsx)(lu_1.LuList, { size: 16 }) }) }), (0, jsx_runtime_1.jsx)(dropdown_menu_1.DropdownMenuContent, { className: "p-1 flex flex-col gap-y-1", children: lists.map(({ label, icon: Icon, onClick, isActive }) => ((0, jsx_runtime_1.jsxs)("button", { onClick: onClick, className: (0, utils_1.cn)("flex items-center gap-x-2 px-2 py-1 rounded-sm hover:bg-neutral-200/80", isActive() && "bg-neutral-200/80"), children: [(0, jsx_runtime_1.jsx)(Icon, { size: 16 }), (0, jsx_runtime_1.jsx)("span", { className: "text-sm", children: label })] }, label))) })] }));
}
