"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageBreak = void 0;
const core_1 = require("@tiptap/core");
exports.PageBreak = core_1.Node.create({
    name: "pageBreak",
    group: "block",
    selectable: true,
    draggable: false,
    parseHTML() {
        return [{ tag: "div[data-page-break]" }];
    },
    renderHTML({ HTMLAttributes }) {
        return [
            "div",
            (0, core_1.mergeAttributes)(HTMLAttributes, { "data-page-break": "" }),
            ["hr"],
        ];
    },
    addCommands() {
        return {
            insertPageBreak: () => ({ chain }) => {
                return chain().insertContent({ type: this.name }).run();
            },
        };
    },
    //   addInputRules() {
    //     return [
    //       {
    //         find: /^(---|\*\*\*)$/,
    //         handler: ({ state, range, match, chain }) => {
    //           chain().deleteRange(range).insertContent({ type: this.name }).run();
    //           return true;
    //         },
    //       },
    //     ];
    //   },
});
