"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cn = cn;
exports.measureHeight = measureHeight;
exports.onSave = onSave;
const clsx_1 = __importDefault(require("clsx"));
const tailwind_merge_1 = require("tailwind-merge");
function cn(...inputs) {
    return (0, tailwind_merge_1.twMerge)((0, clsx_1.default)(inputs));
}
function measureHeight(element) {
    if (!(element instanceof HTMLElement)) {
        return 0;
    }
    const computedStyle = window.getComputedStyle(element);
    return (element.offsetHeight +
        parseFloat(computedStyle.marginTop) +
        parseFloat(computedStyle.marginBottom));
}
function onSave(editor, format = "html") {
    if (!editor)
        return;
    if (format === "html")
        return editor.getHTML();
    if (format === "json")
        return editor.getJSON();
    if (format === "text")
        return editor.getText();
}
